Subject: Re: [net-next PATCH] octeontx2-pf: Reset MAC stats during probe

From: Jakub Kicinski <[email-masked]>
Date: Thu, 25 Jan 2024 17:28:03 -0800

On Thu, 25 Jan 2024 16:36:01 +0530 Sai Krishna wrote:
> Reset CGX/RPM MAC HW statistics at the time of driver probe()
> 
> Also added a devlink option to do the same at runtime, this will be
> helpful during debug.
> 
> Usage: Reset MAC stats
> devlink dev param  set  pci/0002:03:00.0 name mac_stats_reset value true
> cmode runtime

Where are the stats reported? It'd be more intuitive to add the ability
to reset stats to whatever interface is used to report them. Or one of
your reset interfaces (devlink dev reload).